----------------------------------------------
-- Beispielskript zur AEK 17 im Herbst 2014 --
-- Autor: Bernd Jungbluth                   --
-- Keine Gewhrleistung, keine Haftung      --		
----------------------------------------------


-- Anlegen der Sitzung zur Analyse der SQL-Anweisungen,
-- die von Access nach SQL Server bergeben werden
CREATE EVENT SESSION [Access-Abfragen] ON SERVER 
ADD EVENT sqlserver.sql_statement_completed
	(SET collect_statement=(1)
     ACTION (sqlserver.client_hostname, sqlserver.database_id, 
			 sqlserver.sql_text,sqlserver.username)
     WHERE ([package0].[equal_uint64]([sqlserver].[database_id],(7))))
WITH 
	(MAX_MEMORY=4096 KB, EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS, 
	 MAX_DISPATCH_LATENCY=1 SECONDS, MAX_EVENT_SIZE=0 KB,
	 MEMORY_PARTITION_MODE=NONE, TRACK_CAUSALITY=OFF, STARTUP_STATE=OFF)
GO

-- Sitzung starten
ALTER EVENT SESSION [Access-Abfragen] ON SERVER STATE = START;


-- Sitzung stoppen
-- ALTER EVENT SESSION [Access-Abfragen] ON SERVER STATE = STOP;
