----------------------------------------------
-- Beispielskript zur AEK 17 im Herbst 2014 --
-- Autor: Bernd Jungbluth                   --
-- Keine Gewhrleistung, keine Haftung      --		
----------------------------------------------

USE AEK;
GO

CREATE PROC dbo.pSelectAuftragNachID @AuftragID int
AS
SELECT 
		dbo.Auftraege.AuftragID, Auftragsdatum, dbo.Auftraege.KontaktID, 
		Firma, Namenszusatz, Strasse, PLZ, Ort, 
		dbo.Personal.PersonalID, [Vorname] + ' ' + [Nachname] AS Mitarbeiter, 
		AuftragspositionID, PosNr, dbo.Auftragspositionen.ArtikelID, Artikel.Artikel, 
		Einzelpreis, Menge, [Einzelpreis]*[Menge] AS PosSumme
FROM 
		dbo.Auftraege 
		INNER JOIN dbo.Kontakte ON dbo.Auftraege.KontaktID = dbo.Kontakte.KontaktID 
		INNER JOIN dbo.Personal ON dbo.Auftraege.PersonalID = dbo.Personal.PersonalID 
		INNER JOIN dbo.Auftragspositionen ON dbo.Auftraege.AuftragID = dbo.Auftragspositionen.AuftragID 
		INNER JOIN dbo.Artikel ON dbo.Auftragspositionen.ArtikelID = dbo.Artikel.ArtikelID
WHERE 
		dbo.Auftraege.AuftragID = @AuftragID;

-- EXEC dbo.pSelectAuftrag 1