----------------------------------------------
-- Beispielskript zur AEK 17 im Herbst 2014 --
-- Autor: Bernd Jungbluth                   --
-- Keine Gewhrleistung, keine Haftung      --		
----------------------------------------------

USE AEK;
GO

IF OBJECT_ID('dbo.pSelectAuftragspositionen') Is Not NULL
BEGIN
	DROP PROC dbo.pSelectAuftragspositionen;
END
GO


CREATE PROC dbo.pSelectAuftragspositionen 
AS
SET NOCOUNT ON;

SELECT	AuftragspositionID, AuftragID, dbo.Auftragspositionen.ArtikelID, Artikel, 
		PosNr, Einzelpreis, Menge
FROM	dbo.Auftragspositionen 
		INNER JOIN dbo.Artikel 
				ON dbo.Auftragspositionen.ArtikelID = dbo.Artikel.ArtikelID;

-- EXEC dbo.pSelectAuftragspositionen;


